package com.ruoyi.ibs.draw.service;

import com.ruoyi.ibs.draw.domain.dto.draw.LayerEditInfoDTO;
import com.ruoyi.ibs.draw.domain.dto.draw.LayerGridDTO;
import com.ruoyi.ibs.draw.domain.dto.draw.LayerListDTO;
import com.ruoyi.ibs.draw.domain.entity.DrawGrid;
import com.ruoyi.ibs.draw.domain.vo.DrawLayerVO;
import com.ruoyi.ibs.draw.domain.vo.LayerRuleVO;
import com.ruoyi.ibs.draw.domain.vo.MapCustCountVO;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2024/12/20
 **/

public interface DrawLayerService {
    String addLayer(String layerName, String layerColor);

    String editLayerInfo(LayerEditInfoDTO layerEditInfoDTO);

    boolean checkLayerNameValid(String layerName);

    boolean checkLayerColorValid(String layerColor);


    String deleteLayer(List<Long> deleteIds);

    List<DrawLayerVO> getDrawLayerList(LayerListDTO layerListDTO);

    List<DrawLayerVO> getValidDrawLayerList(String opsDept);

    List<DrawGrid> getDrawGridList(LayerGridDTO layerGridDTO);

    List<LayerRuleVO> getLayerList(String opsDept);

    List<MapCustCountVO> queryBusinessFreqList();
}
